/* stylelint-disable docusaurus/copyright-header */
/**
 * Any CSS included here will be global. The classic template
 * bundles Infima by default. Infima is a CSS framework designed to
 * work well for content-centric websites.
 */

 h1 {
  font-size: calc(30rem/16);
  letter-spacing: calc(80em/1000);
  font-weight: 800;
}

h2 {
  font-size: calc(22rem/16);
  letter-spacing: calc(30em/1000);
  font-weight: 600;
}

h3 {
  font-size: calc(20rem/16);
  letter-spacing: calc(30em/1000);
  font-weight: 400;
}

h4 {
  font-size: calc(19rem/16);
  letter-spacing: calc(30em/1000);
  font-weight: 400;
  font-style: italic;
}

@media only screen and (min-width: 768px) {
  h1 {
    font-size: calc(36rem/16);
  }
  h2 {
    font-size: calc(28rem/16);
  }
  h3 {
    font-size: calc(22rem/16);
  }
}

.button {
  height: 2.25rem;
  font-size: 0.9375rem;
  min-width: 10.9375rem;
  background: none;
  font-family: 'Raleway', sans-serif;
  font-weight: 600;
  border-radius: 0;
  margin-bottom: 3rem;
  letter-spacing: 0.05em;
  text-transform: uppercase;
  width: fit-content;
  margin: 0.5rem auto;
  display: block;
  white-space: nowrap;
  text-align: center;
  background-image: none;
  -webkit-box-shadow: 0 2px 0 rgba(0,0,0,.015);
  box-shadow: 0 2px 0 rgba(0,0,0,.015);
  cursor: pointer;
  -webkit-transition: all .3s cubic-bezier(.645,.045,.355,1);
  transition: all .3s cubic-bezier(.645,.045,.355,1);
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  user-select: none;
  -ms-touch-action: manipulation;
  touch-action: manipulation;
  height: 32px;
  padding: 4px 15px;
  font-size: 14px;
  border-radius: 2px;
  color: rgba(0,0,0,.65);
  border: 0.125rem solid #d9d9d9;
  padding-top: .1px;
  line-height: 30px;
}

.button:hover, .button:focus {
  color: #d9d9d9;
  background-color: #d68978;
}

/* You can override the default Infima variables here. */
:root {
  --ifm-color-primary: #FFAB75;
  --ifm-color-primary-dark: #EAAD87;
  --ifm-color-primary-darker: #E29B80;
  --ifm-color-primary-darkest: #D68978;
  --ifm-color-primary-light: #F0B37F;
  --ifm-color-primary-lighter: #FFCCAC;
  --ifm-color-primary-lightest: #FFE5D5;
  --ifm-color-danger: #fb7171;
  --ifm-color-danger-dark: #FA6868;
  --ifm-color-danger-darker: #F86161;
  --ifm-color-danger-darkest: #F25C5C;
  --ifm-color-danger-light: #FD7E7E;
  --ifm-color-danger-lighter: #FE9090;
  --ifm-color-danger-lightest: #FFA4A4;
  --ifm-color-success: #c2d887;
  --ifm-color-success-dark: #AFD982;
  --ifm-color-success-darker: #91D778;
  --ifm-color-success-darkest: #6ACC68;
  --ifm-color-success-light: #C8E846;
  --ifm-color-success-lighter: #CBE360;
  --ifm-color-success-lightest: #C8DE76;
  --ifm-color-info: #91DAF5;
  --ifm-color-info-dark: #65B9DC;
  --ifm-color-info-darker: #4593B6;
  --ifm-color-info-darkest: #2E6987;
  --ifm-color-info-light: #C1EDFF;
  --ifm-color-info-lighter: #D9F3FF;
  --ifm-color-info-lightest: #F2FBFF;
  --ifm-code-font-size: 95%;
  --ifm-font-family-base: 'Lato', sans-serif;
  --ifm-heading-font-family: 'Raleway', 'sans-serif';
  letter-spacing: calc(2em/1000);
  font-size: calc(14rem/16);
}

h1, h2, h3, h4, h5, h6, .navbar__title {
  text-transform: uppercase;
}

.docusaurus-highlight-code-line {
  background-color: rgb(72, 77, 91);
  display: block;
  margin: 0 calc(-1 * var(--ifm-pre-padding));
  padding: 0 var(--ifm-pre-padding);
}

/* import font-awesome icons */
@import "https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css";

/* import custom fonts */
@import "https://fonts.googleapis.com/css?family=Raleway:400,500,600,700|Lato:400,700,900";
